Bug 825462 - tuxmath: symbol lookup error: /lib/libt4k_common.so.0: undefined symbol: png_set_valid
tuxmath: symbol lookup error: /lib/libt4k_common.so.0: undefined symbol: png_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: t4k_common (Show other bugs)
17
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 11:53 EDT by vyperlinux
Modified: 2013-08-01 14:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
fedora 17, Updated.
Last Closed: 2013-08-01 14:43:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of the error (55.47 KB, image/png)
2012-05-26 11:53 EDT, vyperlinux
no flags Details

  None (edit)
Description vyperlinux 2012-05-26 11:53:30 EDT
Created attachment 587019 [details]
screen shot of the error

Description of problem When starting tuxmath the screen goes black then the program is killed; While running in the command line some kind of error with pusle audio shows. 

[root@localhost XXX]# tuxmath
Initializing Tux4Kids-Common 0.1.1
ALSA lib pulse.c:243:(pulse_connect) PulseAudio: Unable to connect: Connection refused


Warning: I could not set up audio for 44100 Hz 16-bit stereo.
The Simple DirectMedia error that occured was:
No available audio device

tuxmath: symbol lookup error: /lib/libt4k_common.so.0: undefined symbol: png_set_valid
 


Version-Release number of selected component (if applicable):
Letest 

How reproducible:
unkown 

Steps to Reproduce:
1. click on program. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hedayat Vatankhah 2012-05-26 12:21:27 EDT
It has nothing to do with rcssmonitor!
Comment 2 Michael Schwendt 2012-06-02 11:06:50 EDT
As outlined in Fedora forum, the crash of tuxmath is because of a bad (and undocumented) patch in the t4k_common package, which uses an invalid/undefined libpng API call.
Comment 3 Fedora Update System 2012-06-06 09:58:13 EDT
t4k_common-0.1.1-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/t4k_common-0.1.1-7.fc17
Comment 4 Fedora Update System 2012-06-07 19:00:52 EDT
Package t4k_common-0.1.1-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing t4k_common-0.1.1-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9039/t4k_common-0.1.1-7.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-15 20:04:16 EDT
t4k_common-0.1.1-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora End Of Life 2013-07-04 03:01:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 14:43:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.